package com.cyksj.model.entity;

import lombok.*;

/**
 * 项目名: yhlxj2
 * 文件名: MiniPopularizeUserConversationChat
 * 创建者: JavaZou
 * 创建时间:2025/4/11 17:56
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MiniPopularizeUserConversationChat extends BaseEntity {
	private String conversationId;

	private Long userId;

	private String img;

	private String content;

	private Type type;

	private Status status;

	/**
	 * 对话角色
	 */
	private Role role;

	/**
	 * 配置id
	 */
	private Long cid;

	/**
	 * 是否上传至oss
	 */
	private Boolean isUpload;

	@Getter
	public enum Type {
		image("图像"),
		text("文本"),
		;
		String desc;

		Type(String desc) {
			this.desc = desc;
		}
	}

	@Getter
	public enum Status {
		success("成功"),
		fail("失败"),
		processing("生成中"),
		;
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}

	@Getter
	public enum Role {
		user("用户"),
		assistant("助手"),
		sys("系统")
		;
		String desc;

		Role(String desc) {
			this.desc = desc;
		}
	}
}
